Skip to main content
GET
/
v1
/
servers
/
{serverId}
/
members
List server members
curl --request GET \
  --url https://api.magne.app/v1/servers/{serverId}/members \
  --header 'Authorization: Bearer <token>'
[
  {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "serverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "username": "<string>",
    "displayName": "<string>",
    "avatarUrl": "<string>",
    "nickname": "<string>",
    "status": "<string>",
    "activeBadgeSlug": "<string>",
    "joinedAt": "2023-11-07T05:31:56Z",
    "roleIds": [
      "<string>"
    ],
    "badgeSlugs": [
      "<string>"
    ]
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

serverId
string<uuid>
required

Response

Success

userId
string<uuid>
serverId
string<uuid>
username
string
displayName
string
avatarUrl
string | null
nickname
string | null
status
string
activeBadgeSlug
string | null
joinedAt
string<date-time>
roleIds
string[]
badgeSlugs
string[]